\name{tune.nodesize}
\alias{tune.nodesize}
\title{Tune terminal node size}
\usage{
tune.nodesize(min.node.size, n = 1, ...)
}
\arguments{
  \item{min.node.size}{Vector of \code{min.node.size}
  values to try.}

  \item{n}{Number of replicates.}

  \item{...}{Further arguments passed to Ranger.}
}
\value{
Prediction error for each tried \code{min.node.size} value.
}
\description{
Runs ranger for a vector of \code{min.node.size} values and
returns the prediction error for each run. For each
\code{mtry} the analysis will be replicated \code{n} times.
}
\author{
Marvin N. Wright
}
\seealso{
\code{\link{ranger}}
}

